package com.dayou.service;
import com.dayou.common.PullDownModel;
import com.dayou.entity.BusinessCommissionRate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 非土规业务提成比例 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-05-11
 */
public interface IBusinessCommissionRateService extends IService<BusinessCommissionRate> {

        Page<BusinessCommissionRate> selectPage(Page page,BusinessCommissionRate businessCommissionRate);

        BusinessCommissionRate detail(Long id);

        Boolean add(BusinessCommissionRate businessCommissionRate);

        Boolean update(BusinessCommissionRate businessCommissionRate);

        Boolean delete(Long id);

    List<PullDownModel> getBusinessCate(String businessType, String userType);
}
